###################################################
### chunk number 1:  eval=FALSE
###################################################
## #line 91 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
## A %over% B
## over(A, B)


###################################################
### chunk number 2:  eval=FALSE
###################################################
## #line 103 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
## A[B,]


###################################################
### chunk number 3:  eval=FALSE
###################################################
## #line 107 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
## A[!is.na(over(A,B)),]


###################################################
### chunk number 4: 
###################################################
#line 111 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
library(sp)
x = c(0.5, 0.5, 1.2, 1.5)
y = c(1.5, 0.5, 0.5, 0.5)
xy = cbind(x,y)
dimnames(xy)[[1]] = c("a", "b", "c", "d")
pts = SpatialPoints(xy)

xpol = c(0,1,1,0,0)
ypol = c(0,0,1,1,0)
pol = SpatialPolygons(list(
	Polygons(list(Polygon(cbind(xpol-1.05,ypol))), ID="x1"),
	Polygons(list(Polygon(cbind(xpol,ypol))), ID="x2"),
	Polygons(list(Polygon(cbind(xpol,ypol-1.05))), ID="x3"),
	Polygons(list(Polygon(cbind(xpol+1.05,ypol))), ID="x4"),
	Polygons(list(Polygon(cbind(xpol+.4, ypol+.1))), ID="x5")
	))


###################################################
### chunk number 5: 
###################################################
#line 131 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
plot(pol, xlim = c(-1.1, 2.1), ylim = c(-1.1, 1.6), border=2:6, axes=TRUE)
points(pts, col='red')
text(c(-1,0.1,0.1,1.1,0.45), c(0,0,-1.05,0,0.1), 
	c("x1", "x2", "x3", "x4", "x5"))
text(coordinates(pts), pos=1, row.names(pts))


###################################################
### chunk number 6: 
###################################################
#line 143 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pts, pol)


###################################################
### chunk number 7: 
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pts, pol, returnList = TRUE)


###################################################
### chunk number 8: 
###################################################
#line 152 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
pts[pol]


###################################################
### chunk number 9: 
###################################################
#line 158 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pol, pts)
over(pol, pts, returnList = TRUE)
row.names(pol[pts])


###################################################
### chunk number 10: 
###################################################
#line 173 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
zdf = data.frame(z1 = 1:4, z2=4:1, f = c("a", "a", "b", "b"),
	row.names = c("a", "b", "c", "d"))
zdf
ptsdf = SpatialPointsDataFrame(pts, zdf)

zpl = data.frame(z = c(10, 15, 25, 3, 0), zz=1:5, 
	f = c("z", "q", "r", "z", "q"), row.names = c("x1", "x2", "x3", "x4", "x5"))
zpl
poldf = SpatialPolygonsDataFrame(pol, zpl)


###################################################
### chunk number 11: 
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pts, poldf)


###################################################
### chunk number 12: 
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pts, poldf[1:2], fn = mean)


###################################################
### chunk number 13: 
###################################################
#line 201 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pts, poldf, returnList = TRUE)


###################################################
### chunk number 14: 
###################################################
#line 206 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
over(pol, ptsdf)
over(pol, ptsdf[1:2], fn = mean)


###################################################
### chunk number 15: 
###################################################
#line 240 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
plot(pol, xlim = c(-1.1, 2.1), ylim = c(-1.1, 1.6), border=2:6, axes=TRUE)
text(c(-1,0.1,0.1,1.1,0.45), c(0,0,-1.05,0,0.1), c("x1", "x2", "x3", "x4", "x5"))
l1 = Lines(Line(coordinates(pts)), "L1")
l2 = Lines(Line(rbind(c(1,1.5), c(1.5,1.5))), "L2")
L = SpatialLines(list(l1,l2))
lines(L, col = 'green')
text(c(0.52, 1.52), c(1.5, 1.5), c("L1", "L2"))


###################################################
### chunk number 16: 
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
library(rgeos)
over(pol, pol)
over(pol, pol,returnList = TRUE)
over(pol, L)
over(L, pol)
over(L, pol, returnList = TRUE)
over(L, L)
over(pts, L)
over(L, pts)


###################################################
### chunk number 17: 
###################################################
#line 269 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
data(meuse.grid)
gridded(meuse.grid) = ~x+y
Pt = list(x = c(178274.9,181639.6), y = c(329760.4,333343.7))
sl = SpatialLines(list(Lines(Line(cbind(Pt$x,Pt$y)), "L1")))
image(meuse.grid)
xo = over(sl, geometry(meuse.grid), returnList = TRUE)
image(meuse.grid[xo[[1]], ],col=grey(0.5),add=T)
lines(sl)


###################################################
### chunk number 18: 
###################################################
#line 288 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
data(meuse.grid)
gridded(meuse.grid) = ~x+y
off = gridparameters(meuse.grid)$cellcentre.offset + 20
gt = GridTopology(off, c(400,400), c(8,11))
SG = SpatialGrid(gt)
agg = aggregate(meuse.grid[3], SG)


###################################################
### chunk number 19: 
###################################################
#line 304 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
image(agg)
points(meuse.grid, pch = 3, cex=.2, col = "#80808080")


###################################################
### chunk number 20: 
###################################################
#line 315 "d:/Rcompile/CRANpkg/local/2.12/sp/inst/doc/over.Rnw"
sl.agg = aggregate(meuse.grid, sl)
class(sl.agg)
as.data.frame(sl.agg)


